Bug 173495 - nfs mount failures when using tcp protocol for nfs
nfs mount failures when using tcp protocol for nfs
Status: CLOSED DUPLICATE of bug 154678
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
: 173496 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 11:26 EST by wtkeeler
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 16:22:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wtkeeler 2005-11-17 11:26:31 EST
Description of problem:

When attempting to mount and umount a large number (200+) nfs files systems via 
the automounter using the tcp protocol, after approximately 150 sucessful 
mounts and umounts, all subsequent mount attempt fail with the following 
messages:

 RPC: Authentication error; why = Client credential too weak

Note that this occurs when running as root.

The following script can be used to reproduce the error:
count=0
while read mp
do
   cd /sopt/$mp
   pwd
   cd /
   umount /sopt/$mp
   count=`expr $count + 1`
   echo $count
done< /tmp/mp.list

In the example above, /sopt is automounter mount point and the file mp.list is 
list of approximately 800+ potential mount points (essentially all available 
maps in our nis map "auto.sopt" (below).

Additionally, the problem does not occur when using the udp protocol.

The file auto.master contains the following:
/sopt   yp:auto.sopt -proto=tcp,rsize=32768,wsize=32768



Version-Release number of selected component (if applicable):

RHEL 3 WS Update 6
kernel-2.4.21-37.ELsmp
autofs-4.1.3-154


How reproducible:
See Description

Steps to Reproduce:
1. Attempt to mount and immediately umount 200+ file systems in succesion via 
the autmounter using the tcp protocal for nfs.
2.
3.
  
Actual results:

After about ~150 successful mounts and umounts, all subsequent mount attempts 
fail on the automounter mount point for approximately 30 seconds to 1 minute.

The message below appears for each failed mount attempt (with the name of the 
file system that was not able to be mounted):

cd: /sopt/exptools: No such file or directory

The message in /var/log/messages is:
Nov 17 11:06:04 machine1 automount[3285]: mount(nfs): nfs: mount failure  
on /sopt/exptools
Nov 17 11:06:04 machine1 automount[3285]: failed to mount /sopt/exptools
Nov 17 11:06:04 machine1 automount[3291]: >> nfs bindresvport: Address already 
in use
Nov 17 11:06:04 machine1 automount[3305]: >> mount: RPC: Authentication error; 
why = Client credential too weak


Expected results:
Expectation is to be able to successfully mount and umount several hundred file 
systems in succession

Additional info:
Comment 1 Ernie Petrides 2005-11-18 00:51:47 EST
*** Bug 173496 has been marked as a duplicate of this bug. ***
Comment 6 Ernie Petrides 2006-01-26 16:22:45 EST
A fix for this problem was committed to the RHEL3 U6 patch pool
on 19-Jul-2005 (in kernel version 2.4.21-32.8.EL).  Please upgrade
to either U6 (RHSA-2005:663, kernel version 2.4.21-37.EL) or more
preferably to the latest post-U6 (i.e., E7) security errata release
(RHSA-2006:0140, kernel version 2.4.21-37.0.1.EL).

Following is the Errata System message for the latter release:


An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html


*** This bug has been marked as a duplicate of 154678 ***

Note You need to log in before you can comment on or make changes to this bug.